#include <memory>   // std::auto_ptr
#include <iostream>

#include "citygml/CityGML.hxx"

using std::cerr;
using std::endl;

int
main (int argc, char* argv[])
{
  if (argc != 2)
  {
    cerr << "usage: " << argv[0] << " sample.xml" << endl;
    return 1;
  }

  try
  {
    using namespace citygml;

    // Read in the XML file and obtain its object model.
    //
    std::auto_ptr<CityModelType> city (CityModel (argv[1]));

    // Prepare namespace mapping and schema location information.
    //
    xml_schema::namespace_infomap map;

    // Write it out.
    //
    CityModel (std::cout, *city, map);
  }
  catch (const xml_schema::exception& e)
  {
    cerr << e << endl;
    return 1;
  }
}
